<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Positions_V7 StructType
 * @subpackage Structs
 */
class Get_Positions_V7 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PositionSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PositionSelection_V5
     */
    public $PositionSelection;
    /**
     * Constructor method for Get_Positions_V7
     * @uses Get_Positions_V7::setLogin()
     * @uses Get_Positions_V7::setPositionSelection()
     * @param \StructType\Login $login
     * @param \StructType\PositionSelection_V5 $positionSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PositionSelection_V5 $positionSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPositionSelection($positionSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Positions_V7
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PositionSelection value
     * @return \StructType\PositionSelection_V5|null
     */
    public function getPositionSelection()
    {
        return $this->PositionSelection;
    }
    /**
     * Set PositionSelection value
     * @param \StructType\PositionSelection_V5 $positionSelection
     * @return \StructType\Get_Positions_V7
     */
    public function setPositionSelection(\StructType\PositionSelection_V5 $positionSelection = null)
    {
        $this->PositionSelection = $positionSelection;
        return $this;
    }
}
